# DeployGateへの配信

[DeployGate](https://deploygate.com/) を使用すれば、開発中の iOS と Android アプリを、参加メンバー間で簡単に共有できます。また、このサービスを使用すれば、さまざまな段階 ( プロトタイプ、開発、検証、マーケティングなど ) におけるアプリの配信作業を、滞りなく行えます。

### API キーの取得方法

1\. [DeployGate](https://deploygate.com/) にログインします。

2\. `アカウント設定/Account Settings`を選択します。

![](/files/-MgzJV24dpn7MvgKNUZh)

3\. \[ プロフィール ] 画面が表示されます。ページの最下部まで移動して、\[ API key ] を確認します。

![](/files/-MgzJYcvPtPRSBCrtGEL)

### 設定パラーメーター

Monaca CI では、次のパラメーターをサポートしています ( JSON 形式 )。詳細は、[DeployGate API ドキュメント ( 日本語サイト )](https://docs.deploygate.com/ja/docs/api/) をご確認ください。

<table data-header-hidden><thead><tr><th width="226">パラメーター</th><th width="496.86105675146774">説明</th><th>備考</th></tr></thead><tbody><tr><td>パラメーター</td><td>説明</td><td>備考</td></tr><tr><td><code>token</code></td><td>「 API キー 」を指定します。グループでの利用の場合には、グループのページに表示されている API キー を使用します。これにより、メンバーの種類 ( 役割/権限 ) とは関わりなく、アプリをアップロードすることができます。</td><td>このキーは、自動的に生成されます。DeplyGate サイトの [ 配信支援サービス設定 ]、または、Monaca クラウド IDE の [ デプロイサービス一覧 ] 上で、API キーを確認できます。</td></tr><tr><td><code>file</code></td><td>対象アプリのバイナリ―ファイルを設定します。</td><td>自動で生成されます。</td></tr><tr><td><code>message</code></td><td>[ 任意 ] プッシュ時に表示する通知メッセージを設定します。</td><td></td></tr><tr><td><code>distribution_key</code></td><td>[ 任意 ] 配布キー ( Distribution Key ) を設定します。配布キーとは、配布ページを指し示す URL に使用されている hash 値です ( たとえば、<code>https://deploygate.com/distributions/</code> [ 配布キー ] )。また、配布ページとは、配布対象者向けに作成された、アプリのダウンロード用のページです。配布ページの作成は、DeployGate のサイト上から行えます。</td><td></td></tr><tr><td><code>release_note</code></td><td>[ 任意 ] 配布ページ ( ダウンロード用ページ ) からアプリをダウンロードするときに表示するメッセージ</td><td></td></tr><tr><td><code>disable_notify</code></td><td>[ 任意 ](<code>iOS 専用</code>) <code>yes</code> を設定した場合、email での通知を行いません。</td><td></td></tr><tr><td><code>visibility</code></td><td>[ 任意 ] アップロードするアプリのセキュリティー設定です。<code>private</code> ( デフォルト ) または <code>public</code> を指定します。個人開発者向けの無料プラン ( Personal Free ) を利用している場合、<code>public</code> に設定します。無料プランの場合、プライベート ( 非公開 ) 設定は利用できません。また、private に指定しても、無視されます。</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/monaca_ide/monaca_ci/deploygate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
